Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.spec
Class GOST28147ParameterSpec

    java.lang.Object
      org.bouncycastle.jce.spec.GOST28147ParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

    public class GOST28147ParameterSpec

extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

A parameter spec for the GOST-28147 cipher.

Constructor Summary
`GOST28147ParameterSpec(byte[] sBox)`
`GOST28147ParameterSpec(byte[] sBox, byte[] iv)`
`GOST28147ParameterSpec(java.lang.String sBoxName)`
`GOST28147ParameterSpec(java.lang.String sBoxName, byte[] iv)`

Method Summary
`byte[]` `getIV()` Returns the IV or null if this parameter set does not contain an IV.
`byte[]` `getSbox()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST28147ParameterSpec

    public GOST28147ParameterSpec(byte[] sBox)

### GOST28147ParameterSpec

    public GOST28147ParameterSpec(byte[] sBox,
                                  byte[] iv)

### GOST28147ParameterSpec

    public GOST28147ParameterSpec(java.lang.String sBoxName)

### GOST28147ParameterSpec

    public GOST28147ParameterSpec(java.lang.String sBoxName,
                                  byte[] iv)

Method Detail

### getSbox

    public byte[] getSbox()

### getIV

    public byte[] getIV()

  Returns the IV or null if this parameter set does not contain an IV.

  Returns:
    the IV or null if this parameter set does not contain an IV.

Bouncy Castle Cryptography Library 1.45